from Products.Archetypes.interfaces.storage import IStorage
from Products.Archetypes.Storage import Storage
from AccessControl import ClassSecurityInfo


class NullStorage(Storage):
    """Does nothing."""

    __implements__ = IStorage
    
    security = ClassSecurityInfo()

    security.declarePrivate('get')
    def get(self, name, instance, **kwargs):
        return None
#        raise NotImplementedError('NullStorage.get(%s, %s)' % (name, instance.getId()))

    security.declarePrivate('set')
    def set(self, name, instance, value, **kwargs):
        pass
#        raise NotImplementedError('NullStorage.set(%s, %s, %s)' % (name, instance.getId(), str(value)))

    security.declarePrivate('unset')
    def unset(self, name, instance, **kwargs):
        pass
#        raise NotImplementedError('NullStorage.unset(%s, %s)' % (name, instance.getId()))
